#!/bin/bash

#遨博程序自动启动


#***********************************************************************
#函数功能: 获取当前脚本所在的绝对路径  
#参数说明: 1个参数   arg1:执行该程序时的命令行第一个参数
#
#说   明: 
#***********************************************************************
get_this_exec_file_path(){
	
	dirname $0|grep "^/" >/dev/null
	
	if [ $? -eq 0 ];then
		this_dir=`dirname $0`
	else
		dirname $0|grep "^\." >/dev/null
		retval=$?
		if [ $retval -eq 0 ];then
			this_dir=`dirname $0|sed "s#^.#$this_dir#"`
		else
			this_dir=`dirname $0|sed "s#^#$this_dir/#"`
		fi
	fi
	
	this_dir=${this_dir}"/"
	
	if [ $? = "1" ] ;then  
        return 1  
    else  
        return 0  
    fi
}

#***********************************************************************
#函数功能: 递归执行某个目录下的脚本  
#参数说明: 1个参数   arg1:目录路径
#
#说   明: 
#*************************************************************************
function ergodic_execute_script(){  
	
	for file in ` ls $1 `  
	do  
		if [ -d "$1/$file" ]; then  
			 ergodic_execute_script "$1/$file"
		else   
			 if [ "${file##*.}" == "sh" ];then
				sh "$1/$file" 
			 fi 
		fi  
	done  
}





#初始化 this_dir 变量
this_dir=`pwd`
get_this_exec_file_path $0

dateStr="startupmanage-`date +%y-%m-%d-%H-%M-%S`"
echo "$dateStr" > "$this_dir/log.txt"

auborobotstartuppath=${this_dir}"auborobotstartup.sh.x"
auborobotstartupscriptspath=${this_dir}"auborobotstartup.sh"
if [ -x "$auborobotstartuppath" ];then
	"$auborobotstartuppath"
else
	if [ -x "$auborobotstartupscriptspath" ];then
		"$auborobotstartupscriptspath"
	fi
fi



#2.得到脚本所在的目录
script_path=${this_dir}"autorun/"
echo $script_path

#3.递归执行目录下的所有脚本
ergodic_execute_script $script_path
