#!/bin/bash

#***********************************************************************
#函数功能: 获取当前脚本所在的绝对路径  
#参数说明: 1个参数   arg1:执行该程序时的命令行第一个参数
#
#说   明: 
#***********************************************************************
get_this_exec_file_path(){
	
	dirname $0|grep "^/" >/dev/null
	
	if [ $? -eq 0 ];then
		this_dir=`dirname $0`
	else
		dirname $0|grep "^\." >/dev/null
		retval=$?
		if [ $retval -eq 0 ];then
			this_dir=`dirname $0|sed "s#^.#$this_dir#"`
		else
			this_dir=`dirname $0|sed "s#^#$this_dir/#"`
		fi
	fi
	
	this_dir=${this_dir}"/"
	
	if [ $? = "1" ] ;then  
        return 1  
    else  
        return 0  
    fi
}


#1.得到当前脚本所在的绝对路径
this_dir=`pwd`
get_this_exec_file_path $0

memcachedInstallResult=$(which memcached)

if [ -z "$memcachedInstallResult" ];then
	if [ -f "$this_dir/memcached_1.4.14-0ubuntu9.1_i386.deb" ];then
		dpkg -i "$this_dir/memcached_1.4.14-0ubuntu9.1_i386.deb"
	fi
fi

