#!/bin/bash

dir_is_empty(){
	
	DIRECTORY=$1
	
	ret=`ls -A $DIRECTORY`
	
	if [ -n "$ret" ]; then
		#echo "$DIRECTORY is not empty"
		return 1
	else
		#echo "$DIRECTORY is indeed empty"
		return 0
	fi
}


function1(){
	sourceDir=$1
	targetDir=$2

	echo "sourceDir:$sourceDir"
	echo "targetDir:$targetDir"

	if [ ! -d "$sourceDir" ];then
		echo "源目录不存在"
		return 1;
	fi
	
	if [ ! -d "$targetDir" ];then
		echo "目标目录不存在"
		return 1;
	fi

	dir_is_empty "$targetDir"

	if [ $? -eq 0 ];then
		dir_is_empty "$sourceDir"
		
		if [ $? != 0 ];then
			cd "$sourceDir"
			ls |xargs -i mv {} "$targetDir"
		fi
	fi
}

function1 "/root/AuboRobotWorkSpace/OUR-i5/bin/Database/" "/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/database/"

function1 "/root/AuboRobotWorkSpace/OUR-i5/bin/OfflineTrack/" "/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/offlinetrack/"

function1 "/root/AuboRobotWorkSpace/OUR-i5/bin/Procedure/" "/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/procedure/"

function1 "/root/AuboRobotWorkSpace/OUR-i5/bin/Project/" "/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/project/"

function1 "/root/AuboRobotWorkSpace/OUR-i5/bin/RecordTrack/" "/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/recordtrack/"

function1 "/root/AuboRobotWorkSpace/OUR-i5/bin/Script/" "/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/script/"


if [ ! -d "/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/plugins/Modbus/Database/" ];then
	mkdir -p "/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/plugins/Modbus/Database/"
fi

function1 "/root/AuboRobotWorkSpace/OUR-i5/bin/Plugin/Modbus/Database/" "/root/AuboRobotWorkSpace/teachpendant/share/teachpendant/plugins/Modbus/Database/"

