#!/bin/bash

#程序更新脚本


#***********************************************************************
#函数功能: 获取当前脚本所在的绝对路径  
#参数说明: 1个参数   arg1:执行该程序时的命令行第一个参数
#
#说   明: 
#***********************************************************************
get_this_exec_file_path(){
	
	dirname $0|grep "^/" >/dev/null
	
	if [ $? -eq 0 ];then
		this_dir=`dirname $0`
	else
		dirname $0|grep "^\." >/dev/null
		retval=$?
		if [ $retval -eq 0 ];then
			this_dir=`dirname $0|sed "s#^.#$this_dir#"`
		else
			this_dir=`dirname $0|sed "s#^#$this_dir/#"`
		fi
	fi
	
	if [ $? = "1" ] ;then  
        return 1  
    else  
        return 0  
    fi
}


checkjsonserver()
{
	strA=$(lsof -i :9090)
	
	if [ -z "$strA"  ]; then
		echo "-----------------robotjsonserver.py start"
	
		"$this_dir/robotjsonserver.py" >/dev/null 2>&1
		
		echo "-----------------robotjsonserver.py end"
	fi
}

#初始化 this_dir 变量   this_dir得到的是当前脚本所在的绝对路径
this_dir=`pwd`
get_this_exec_file_path $0
echo "脚本所在目录:$this_dir"


while true
do 
	checkjsonserver &
	sleep 10
done



