#!/bin/sh

#修改关于网络的配置文件

#下面这块程序是得到本脚本所在的目录
this_dir=`pwd`
dirname $0|grep "^/" >/dev/null
if [ $? -eq 0 ];then
	this_dir=`dirname $0`
else
	dirname $0|grep "^\." >/dev/null
	retval=$?
	if [ $retval -eq 0 ];then
		this_dir=`dirname $0|sed "s#^.#$this_dir#"`
	else
		this_dir=`dirname $0|sed "s#^#$this_dir/#"`
	fi
fi

cd "$this_dir"


confInfo_1="net.ipv4.tcp_tw_recycle"
result=$(cat /etc/sysctl.conf |grep $confInfo_1)

if [ "$result" != "" ]; then
	echo "---包含"
else
    echo "---不包含"
    echo "#" >>/etc/sysctl.conf
	echo "net.ipv4.tcp_tw_recycle=1">>/etc/sysctl.conf
fi


confInfo_2="net.ipv4.tcp_fin_timeout"
result=$(cat /etc/sysctl.conf |grep $confInfo_2)

if [ "$result" != "" ]; then
	echo "---包含"
else
    echo "---不包含"
    echo "#" >>/etc/sysctl.conf
	echo "net.ipv4.tcp_fin_timeout=5">>/etc/sysctl.conf
fi

/sbin/sysctl -p
